
Katello - Feature #4936

hammer CLI - repo Update and Delete

03/28/2014 03:53 PM - Mike McCune

Status: Closed   

Priority: High   

Assignee: Partha Aji   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Add support to the CLI for repository update and delete

Associated revisions

Revision 1cc8d9a9 - 03/28/2014 11:20 PM - Partha Aji

Fixes #4936 - Added repo info, update, delete ops

Hammer cli changes for repo RUD.

Revision 8fc4bb63 - 03/28/2014 11:22 PM - Partha Aji

Fixes #4936 - Updated repo info to enable cli ops

Added a product_type flag to repo to determine if its a redhat product

or custom.

Updated the documentation for "update" method of repo controllers.

Updated the json rabl to give more information needed by the cli.

Revision 5f2ec662 - 03/31/2014 05:59 PM - David Davis

Merge pull request #129 from parthaa/repo-crud

Fixes #4936 - Added repo info, update, delete ops

Revision 45e723ee - 03/31/2014 06:02 PM - Partha Aji

Merge pull request #3917 from parthaa/repo-hammer

Fixes #4936 - Updated repo info to enable cli ops

History

#1 - 03/31/2014 06:06 PM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:1cc8d9a9929e90ee3acd228e65ad5fd276100b1f.

#2 - 08/21/2014 02:38 PM - Eric Helms

- translation missing: en.field_release set to 13
